Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class return_range_t

# type return_range_t

source code

       object --+
                |
    call_policy_t --+
                    |
                   return_range_t

implements code generation for Py++ defined "return_range" call policies

For complete documentation and usage example see http://language-binding.net/pyplusplus/documentation/functions/call_policies.html

Instance Methods

__init__(self, get_size_class, value_type, value_policies) | source code

is_predefined(self) Returns True if call policy is defined in Boost.Python library, False otherwise | source code

Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`

Class Variables
| HEADER_FILE = ``'``__return_range.pypp.hpp``'``

Properties
| header_file Return name of the header file to be included
| get_size_class
| value_type
| value_policies

Method Details

### __init__(self, get_size_class, value_type, value_policies)
(Constructor)

source code

Overrides: call_policy_t.__init__

### is_predefined(self)

source code

Returns True if call policy is defined in Boost.Python library, False otherwise

Overrides: call_policy_t.is_predefined

Property Details

### header_file

Return name of the header file to be included

### get_size_class

Get Method:
  _get_get_size_class(self)
Set Method:
  _set_get_size_class(self, new_get_size_class)

### value_type

Get Method:
  _get_value_type(self)
Set Method:
  _set_value_type(self, new_value_type)

### value_policies

Get Method:
  _get_value_policies(self)
Set Method:
  _set_value_policies(self, new_value_policies)